def get_reflected_number(k):
    # Преобразуем число k в строку
    k_str = str(k)
    
    # Зеркально отражаем строку и сохраняем в переменную
    reflected_str = k_str[::-1]
    
    # Преобразуем обратно в число и возвращаем результат
    reflected_number = int(reflected_str)
    return reflected_number


# Считываем входное число с консоли
k = int(input())

# Вызываем функцию для получения зеркально отраженного числа
reflected_number = get_reflected_number(k)

# Выводим результат без ведущих нулей
print(reflected_number)

